﻿//-----------------------------------------------------------------------
// <copyright file="Form1.cs" company="AgTrax">
//     Copyright (c) AgTrax. All rights reserved.
// </copyright>
// <author>Who Cares</author>
//-----------------------------------------------------------------------

namespace UltraComboMouseWheel
{
    using System;
    using System.Windows.Forms;

    /// <summary>
    /// Form 1 used for testing
    /// </summary>
    public partial class Form1 : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Form1"/> class.
        /// </summary>
        public Form1()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Handles the Load event of the Form1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> instance containing the event data.</param>
        private void Form1_Load(object sender, EventArgs e)
        {
            this.combo.Value = 0;

            // Disable the rows with value 1 and 3.
            foreach (Infragistics.Win.UltraWinGrid.UltraGridRow row in this.combo.Rows)
            {
                if (row.Cells["Value"].Value.ToString() == "1" ||
                    row.Cells["Value"].Value.ToString() == "3")
                {
                    row.Activation = Infragistics.Win.UltraWinGrid.Activation.Disabled;
                }
            }
        }

        /// <summary>
        /// Handles the RowSelected event of the Combo control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="Infragistics.Win.UltraWinGrid.RowSelectedEventArgs"/> instance containing the event data.</param>
        private void Combo_RowSelected(object sender, Infragistics.Win.UltraWinGrid.RowSelectedEventArgs e)
        {
            if (e.Row.Activation == Infragistics.Win.UltraWinGrid.Activation.Disabled)
            {
                // Shouldn't get here
            }
        }
    }
}